commit:     358a35b990b9daa1bf3c88d3f4dea1b3edda5e0f
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 15 18:13:39 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Aug 15 18:14:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=358a35b9

Revert "net-print/hplip: Remove old hplip-3.18.12.ebuild, hplip-3.19.5"

This reverts commit 29e3ef2a63641f210389c4f70159e563eec106f1.

3.18.12 was the latest stable. Presumably it was removed by mistake.

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 net-print/hplip/Manifest             |   2 +
 net-print/hplip/hplip-3.18.12.ebuild | 274 +++++++++++++++++++++++++++++++++++
 net-print/hplip/hplip-3.19.5.ebuild  | 274 +++++++++++++++++++++++++++++++++++
 3 files changed, 550 insertions(+)

diff --git a/net-print/hplip/Manifest b/net-print/hplip/Manifest
index cfc29ba441d..636ed9a8598 100644
--- a/net-print/hplip/Manifest
+++ b/net-print/hplip/Manifest
@@ -1,4 +1,6 @@
 DIST hplip-3.18.12-patches-1.tar.xz 12032 BLAKE2B 
33e6e4e1e0e5b4f998459073cf0742b7c56929b23e6c1cc3ba9df4eafb8007273a5a2e7f27af0d2d4a3a97ebb9cfe462b74dcddd7149088980893b2c66113b7c
 SHA512 
3b0e2b4f7d8da257c6fcf12f2e049276d059426f2d1c626324982ce862efa2323cbb191a373c53fea7880e3b6e44ec62e584091676556d97e6a456edea4c44cf
+DIST hplip-3.18.12.tar.gz 24588202 BLAKE2B 
f2ffa6d0d54e467c03ccf9e74accb62ef69842001a00e8c4e6fd68b40c4daff5896fcdd69d37b5e50be2b837918058a5c9071615ab77c1ce83fffc546ff98c02
 SHA512 
7197cac325cf40c03f49053a98ee0e8ac6c670d142b2a64df09c0f7afa1d7d3602216c55c825ccbf20a1fbda9c9289173b8708e9f87171a862dae5b6b4ef7635
 DIST hplip-3.18.3-patches-2.tar.xz 8936 BLAKE2B 
58c17f3b6332de1edd88a3b458f1e9f856bc917842f62eee0808469ec14ff5793cd33c7a2ba30593eba624e58c12a6d426fa43a7d375d6ac50b985b895a85b4c
 SHA512 
cbafcd9616f9c86318007b703325d3429ed0698c3fc9d3eddd422e4cd7a16c77320ac168bfa01b5874213e1740cfaae1867d31c3cf96cd57573ad33651a674ed
 DIST hplip-3.18.6.tar.gz 22590564 BLAKE2B 
edbc80120bb332de9848e528095839b8f3496404ae83482a17bb8bd196c30dd8d3fca4d3dbb60c048bfbeeddd4384b4d7844798dad993eaf52d5418a9391b4ad
 SHA512 
deb4e6e1c7e9ea7452967f7d7d7fd93e92eb59406b4978bb9b874db93bc5022b25aab012a7420ac3e991259032bc7cb749cd924c93a164544e29a4152962184f
+DIST hplip-3.19.5.tar.gz 25263343 BLAKE2B 
7a7d2afeadd99dcd9a4a251ef6243f5e33d892b9c2a9f801b92f3d443eed0dad9928010164f2d2778f22dfb92643dc79c06ef25eaddfbf56a7c26a9fd68a2313
 SHA512 
bee7d64cea10020844b08b78a754ab9fa51aa699b365f2ccd98f18a9286a660e3c32ae1b5a173397c75fe2acafe801f3e6d7eabedcd95f2f064b89afe7726494
 DIST hplip-3.19.6.tar.gz 25436373 BLAKE2B 
9ce8fe6aec475ea6c2c5b25555d311ac498ef34e12e9f7c41900ae88d1ce30939470f8f9a1c29fffceb1f69dd205be25ce6aa381fe9ee3a2f01e86dcbd927c63
 SHA512 
c99448ad0cef9fc626a0a03147a0d582513cb838ecfbfe29f07c65bbf701dee5c7d02222469b118ccc4e8c230c7a4b4685a72a1e67595ee01150b0472692d654

diff --git a/net-print/hplip/hplip-3.18.12.ebuild 
b/net-print/hplip/hplip-3.18.12.ebuild
new file mode 100644
index 00000000000..41b1749876f
--- /dev/null
+++ b/net-print/hplip/hplip-3.18.12.ebuild
@@ -0,0 +1,274 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_REQ_USE="threads,xml"
+
+# 14 and 15 spit out a lot of warnings about subdirs
+WANT_AUTOMAKE="1.13"
+
+inherit autotools linux-info python-single-r1 readme.gentoo-r1 udev
+
+DESCRIPTION="HP Linux Imaging and Printing - Print, scan, fax drivers and 
service tools"
+HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing";
+SRC_URI="mirror://sourceforge/hplip/${P}.tar.gz
+               
https://dev.gentoo.org/~billie/distfiles/${PN}-3.18.12-patches-1.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 arm ppc ppc64 x86"
+
+IUSE="doc fax +hpcups hpijs kde libnotify libressl -libusb0 minimal parport 
policykit qt5 scanner +snmp static-ppds X"
+
+COMMON_DEPEND="
+       net-print/cups
+       virtual/jpeg:0
+       hpijs? ( net-print/cups-filters[foomatic] )
+       !minimal? (
+               ${PYTHON_DEPS}
+               sys-apps/dbus
+               !libusb0? ( virtual/libusb:1 )
+               libusb0? ( virtual/libusb:0 )
+               scanner? ( media-gfx/sane-backends )
+               snmp? (
+                       !libressl? ( dev-libs/openssl:0= )
+                       libressl? ( dev-libs/libressl:= )
+                       net-analyzer/net-snmp
+               )
+       )
+"
+BDEPEND="
+       virtual/pkgconfig
+"
+DEPEND="
+       ${COMMON_DEPEND}
+"
+RDEPEND="
+       ${COMMON_DEPEND}
+       app-text/ghostscript-gpl
+       !minimal? (
+               >=dev-python/dbus-python-1.2.0-r1[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 
'dev-python/pygobject:2[${PYTHON_USEDEP}]' 'python2*')
+               $(python_gen_cond_dep 
'dev-python/pygobject:3[${PYTHON_USEDEP}]' 'python3*')
+               fax? ( dev-python/reportlab[${PYTHON_USEDEP}] )
+               kernel_linux? ( virtual/udev )
+               qt5? (
+                       
>=dev-python/PyQt5-5.5.1[dbus,gui,widgets,${PYTHON_USEDEP}]
+                       libnotify? ( dev-python/notify2[${PYTHON_USEDEP}] )
+               )
+               scanner? (
+                       >=dev-python/reportlab-3.2[${PYTHON_USEDEP}]
+                       >=dev-python/pillow-3.1.1[${PYTHON_USEDEP}]
+                       X? (
+                               || (
+                                       kde? ( kde-misc/skanlite )
+                                       media-gfx/xsane
+                                       media-gfx/sane-frontends
+                               )
+                       )
+               )
+       )
+       policykit? ( sys-auth/polkit )
+"
+
+REQUIRED_USE="!minimal? ( ${PYTHON_REQUIRED_USE} )"
+
+PATCHES=(
+       "${WORKDIR}/patches"
+)
+
+CONFIG_CHECK="~PARPORT ~PPDEV"
+ERROR_PARPORT="Please make sure kernel parallel port support is enabled 
(PARPORT and PPDEV)."
+
+#DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+For more information on setting up your printer please take
+a look at the hplip section of the gentoo printing guide:
+https://wiki.gentoo.org/wiki/Printing
+
+Any user who wants to print must be in the lp group.
+"
+
+pkg_setup() {
+       use !minimal && python-single-r1_pkg_setup
+
+       use scanner && ! use X && ewarn "You need USE=X for the scanner GUI."
+
+       if ! use hpcups && ! use hpijs ; then
+               ewarn "Installing neither hpcups (USE=-hpcups) nor hpijs 
(USE=-hpijs) driver,"
+               ewarn "which is probably not what you want."
+               ewarn "You will almost certainly not be able to print."
+       fi
+
+       if use minimal ; then
+               ewarn "Installing driver portions only, make sure you know what 
you are doing."
+               ewarn "Depending on the USE flags set for hpcups or hpijs the 
appropiate driver"
+               ewarn "is installed. If both USE flags are set hpijs overrides 
hpcups."
+       else
+               use parport && linux-info_pkg_setup
+       fi
+}
+
+src_prepare() {
+       default
+
+       if use !minimal ; then
+               python_export EPYTHON PYTHON
+               python_fix_shebang .
+       fi
+
+       # Make desktop files follow the specification
+       # Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=443680
+       # Upstream bug: https://bugs.launchpad.net/hplip/+bug/1080324
+       sed -i -e '/^Categories=/s/Application;//' \
+               -e '/^Encoding=.*/d' hplip.desktop.in || die
+       sed -i -e '/^Categories=/s/Application;//' \
+               -e '/^Version=.*/d' \
+               -e '/^Comment=.*/d' hplip-systray.desktop.in || die
+
+       # Fix for Gentoo bug https://bugs.gentoo.org/show_bug.cgi?id=345725
+       # Upstream bug: https://bugs.launchpad.net/hplip/+bug/880847,
+       # https://bugs.launchpad.net/hplip/+bug/500086
+       local udevdir=$(get_udevdir)
+       sed -i -e "s|/etc/udev|${udevdir}|g" \
+               $(find . -type f -exec grep -l /etc/udev {} +) || die
+
+       # Force recognition of Gentoo distro by hp-check
+       sed -i \
+               -e "s:file('/etc/issue', 'r').read():'Gentoo':" \
+               installer/core_install.py || die
+
+       eautoreconf
+}
+
+src_configure() {
+       local myconf drv_build minimal_build
+
+       if use libusb0 ; then
+               myconf="${myconf} --enable-libusb01_build"
+       else
+               myconf="${myconf} --disable-libusb01_build"
+       fi
+
+       if use hpcups ; then
+               drv_build="$(use_enable hpcups hpcups-install)"
+               if use static-ppds ; then
+                       drv_build="${drv_build} --enable-cups-ppd-install"
+                       drv_build="${drv_build} --disable-cups-drv-install"
+               else
+                       drv_build="${drv_build} --enable-cups-drv-install"
+                       drv_build="${drv_build} --disable-cups-ppd-install"
+               fi
+       else
+               drv_build="--disable-hpcups-install"
+               drv_build="${drv_build} --disable-cups-drv-install"
+               drv_build="${drv_build} --disable-cups-ppd-install"
+       fi
+
+       if use hpijs ; then
+               drv_build="${drv_build} $(use_enable hpijs hpijs-install)"
+               if use static-ppds ; then
+                       drv_build="${drv_build} --enable-foomatic-ppd-install"
+                       drv_build="${drv_build} --disable-foomatic-drv-install"
+               else
+                       drv_build="${drv_build} --enable-foomatic-drv-install"
+                       drv_build="${drv_build} --disable-foomatic-ppd-install"
+               fi
+       else
+               drv_build="${drv_build} --disable-hpijs-install"
+               drv_build="${drv_build} --disable-foomatic-drv-install"
+               drv_build="${drv_build} --disable-foomatic-ppd-install"
+       fi
+
+       if use minimal ; then
+               if use hpijs ; then
+                       minimal_build="--enable-hpijs-only-build"
+               else
+                       minimal_build="--disable-hpijs-only-build"
+               fi
+               if use hpcups ; then
+                       minimal_build="${minimal_build} 
--enable-hpcups-only-build"
+               else
+                       minimal_build="${minimal_build} 
--disable-hpcups-only-build"
+               fi
+       fi
+
+       # disable class driver for now
+       econf \
+               --disable-cups11-build \
+               --disable-lite-build \
+               --disable-foomatic-rip-hplip-install \
+               --disable-shadow-build \
+               --disable-qt3 \
+               --disable-qt4 \
+               --disable-udev_sysfs_rules \
+               --with-cupsbackenddir=$(cups-config --serverbin)/backend \
+               --with-cupsfilterdir=$(cups-config --serverbin)/filter \
+               --with-docdir=/usr/share/doc/${PF} \
+               --with-htmldir=/usr/share/doc/${PF}/html \
+               ${myconf} \
+               ${drv_build} \
+               ${minimal_build} \
+               --enable-hpps-install \
+               --disable-class-driver \
+               $(use_enable doc doc-build) \
+               $(use_enable fax fax-build) \
+               $(use_enable !minimal gui-build) \
+               $(use_enable !minimal dbus-build) \
+               $(use_enable parport pp-build) \
+               $(use_enable policykit) \
+               $(use_enable qt5) \
+               $(use_enable scanner scan-build) \
+               $(use_enable snmp network-build)
+
+       # hpijs ppds are created at configure time but are not installed 
(3.17.11)
+
+       # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+       # The hpcups driver does not use foomatic-rip
+       #local i
+       #for i in ppd/hpijs/*.ppd.gz ; do
+       #       rm -f ${i}.temp || die
+       #       gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+       #               gzip > ${i}.temp || die
+       #       mv ${i}.temp ${i} || die
+       #done
+}
+
+src_install() {
+       # Disable parallel install
+       # Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=578018
+       emake -j1 DESTDIR="${D}" install
+       einstalldocs
+       # default
+
+       # Installed by sane-backends
+       # Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=201023
+       rm -f "${ED}"/etc/sane.d/dll.conf || die
+
+       # Remove desktop and autostart files
+       # Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=638770
+       use qt5 || {
+               rm -Rf "${ED}"/usr/share/applications "${ED}"/etc/xdg
+       }
+
+       rm -f "${ED}"/usr/share/doc/${PF}/{copyright,README_LIBJPG,COPYING} || 
die
+       rmdir --ignore-fail-on-non-empty "${ED}"/usr/share/doc/${PF}/ || die
+
+       # Remove hal fdi files
+       rm -rf "${ED}"/usr/share/hal || die
+
+       find "${D}" -name '*.la' -delete || die
+
+       if use !minimal ; then
+               python_export EPYTHON PYTHON
+               python_optimize "${ED}"/usr/share/hplip
+       fi
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

diff --git a/net-print/hplip/hplip-3.19.5.ebuild 
b/net-print/hplip/hplip-3.19.5.ebuild
new file mode 100644
index 00000000000..0c753a8bdef
--- /dev/null
+++ b/net-print/hplip/hplip-3.19.5.ebuild
@@ -0,0 +1,274 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_REQ_USE="threads,xml"
+
+# 14 and 15 spit out a lot of warnings about subdirs
+WANT_AUTOMAKE="1.13"
+
+inherit autotools linux-info python-single-r1 readme.gentoo-r1 udev
+
+DESCRIPTION="HP Linux Imaging and Printing - Print, scan, fax drivers and 
service tools"
+HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing";
+SRC_URI="mirror://sourceforge/hplip/${P}.tar.gz
+               
https://dev.gentoo.org/~billie/distfiles/${PN}-3.18.12-patches-1.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+
+IUSE="doc fax +hpcups hpijs kde libnotify libressl -libusb0 minimal parport 
policykit qt5 scanner +snmp static-ppds X"
+
+COMMON_DEPEND="
+       net-print/cups
+       virtual/jpeg:0
+       hpijs? ( net-print/cups-filters[foomatic] )
+       !minimal? (
+               ${PYTHON_DEPS}
+               sys-apps/dbus
+               !libusb0? ( virtual/libusb:1 )
+               libusb0? ( virtual/libusb:0 )
+               scanner? ( media-gfx/sane-backends )
+               snmp? (
+                       !libressl? ( dev-libs/openssl:0= )
+                       libressl? ( dev-libs/libressl:= )
+                       net-analyzer/net-snmp
+               )
+       )
+"
+BDEPEND="
+       virtual/pkgconfig
+"
+DEPEND="
+       ${COMMON_DEPEND}
+"
+RDEPEND="
+       ${COMMON_DEPEND}
+       app-text/ghostscript-gpl
+       !minimal? (
+               >=dev-python/dbus-python-1.2.0-r1[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 
'dev-python/pygobject:2[${PYTHON_USEDEP}]' 'python2*')
+               $(python_gen_cond_dep 
'dev-python/pygobject:3[${PYTHON_USEDEP}]' 'python3*')
+               fax? ( dev-python/reportlab[${PYTHON_USEDEP}] )
+               kernel_linux? ( virtual/udev )
+               qt5? (
+                       
>=dev-python/PyQt5-5.5.1[dbus,gui,widgets,${PYTHON_USEDEP}]
+                       libnotify? ( dev-python/notify2[${PYTHON_USEDEP}] )
+               )
+               scanner? (
+                       >=dev-python/reportlab-3.2[${PYTHON_USEDEP}]
+                       >=dev-python/pillow-3.1.1[${PYTHON_USEDEP}]
+                       X? (
+                               || (
+                                       kde? ( kde-misc/skanlite )
+                                       media-gfx/xsane
+                                       media-gfx/sane-frontends
+                               )
+                       )
+               )
+       )
+       policykit? ( sys-auth/polkit )
+"
+
+REQUIRED_USE="!minimal? ( ${PYTHON_REQUIRED_USE} )"
+
+PATCHES=(
+       "${WORKDIR}/patches"
+)
+
+CONFIG_CHECK="~PARPORT ~PPDEV"
+ERROR_PARPORT="Please make sure kernel parallel port support is enabled 
(PARPORT and PPDEV)."
+
+#DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+For more information on setting up your printer please take
+a look at the hplip section of the gentoo printing guide:
+https://wiki.gentoo.org/wiki/Printing
+
+Any user who wants to print must be in the lp group.
+"
+
+pkg_setup() {
+       use !minimal && python-single-r1_pkg_setup
+
+       use scanner && ! use X && ewarn "You need USE=X for the scanner GUI."
+
+       if ! use hpcups && ! use hpijs ; then
+               ewarn "Installing neither hpcups (USE=-hpcups) nor hpijs 
(USE=-hpijs) driver,"
+               ewarn "which is probably not what you want."
+               ewarn "You will almost certainly not be able to print."
+       fi
+
+       if use minimal ; then
+               ewarn "Installing driver portions only, make sure you know what 
you are doing."
+               ewarn "Depending on the USE flags set for hpcups or hpijs the 
appropiate driver"
+               ewarn "is installed. If both USE flags are set hpijs overrides 
hpcups."
+       else
+               use parport && linux-info_pkg_setup
+       fi
+}
+
+src_prepare() {
+       default
+
+       if use !minimal ; then
+               python_export EPYTHON PYTHON
+               python_fix_shebang .
+       fi
+
+       # Make desktop files follow the specification
+       # Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=443680
+       # Upstream bug: https://bugs.launchpad.net/hplip/+bug/1080324
+       sed -i -e '/^Categories=/s/Application;//' \
+               -e '/^Encoding=.*/d' hplip.desktop.in || die
+       sed -i -e '/^Categories=/s/Application;//' \
+               -e '/^Version=.*/d' \
+               -e '/^Comment=.*/d' hplip-systray.desktop.in || die
+
+       # Fix for Gentoo bug https://bugs.gentoo.org/show_bug.cgi?id=345725
+       # Upstream bug: https://bugs.launchpad.net/hplip/+bug/880847,
+       # https://bugs.launchpad.net/hplip/+bug/500086
+       local udevdir=$(get_udevdir)
+       sed -i -e "s|/etc/udev|${udevdir}|g" \
+               $(find . -type f -exec grep -l /etc/udev {} +) || die
+
+       # Force recognition of Gentoo distro by hp-check
+       sed -i \
+               -e "s:file('/etc/issue', 'r').read():'Gentoo':" \
+               installer/core_install.py || die
+
+       eautoreconf
+}
+
+src_configure() {
+       local myconf drv_build minimal_build
+
+       if use libusb0 ; then
+               myconf="${myconf} --enable-libusb01_build"
+       else
+               myconf="${myconf} --disable-libusb01_build"
+       fi
+
+       if use hpcups ; then
+               drv_build="$(use_enable hpcups hpcups-install)"
+               if use static-ppds ; then
+                       drv_build="${drv_build} --enable-cups-ppd-install"
+                       drv_build="${drv_build} --disable-cups-drv-install"
+               else
+                       drv_build="${drv_build} --enable-cups-drv-install"
+                       drv_build="${drv_build} --disable-cups-ppd-install"
+               fi
+       else
+               drv_build="--disable-hpcups-install"
+               drv_build="${drv_build} --disable-cups-drv-install"
+               drv_build="${drv_build} --disable-cups-ppd-install"
+       fi
+
+       if use hpijs ; then
+               drv_build="${drv_build} $(use_enable hpijs hpijs-install)"
+               if use static-ppds ; then
+                       drv_build="${drv_build} --enable-foomatic-ppd-install"
+                       drv_build="${drv_build} --disable-foomatic-drv-install"
+               else
+                       drv_build="${drv_build} --enable-foomatic-drv-install"
+                       drv_build="${drv_build} --disable-foomatic-ppd-install"
+               fi
+       else
+               drv_build="${drv_build} --disable-hpijs-install"
+               drv_build="${drv_build} --disable-foomatic-drv-install"
+               drv_build="${drv_build} --disable-foomatic-ppd-install"
+       fi
+
+       if use minimal ; then
+               if use hpijs ; then
+                       minimal_build="--enable-hpijs-only-build"
+               else
+                       minimal_build="--disable-hpijs-only-build"
+               fi
+               if use hpcups ; then
+                       minimal_build="${minimal_build} 
--enable-hpcups-only-build"
+               else
+                       minimal_build="${minimal_build} 
--disable-hpcups-only-build"
+               fi
+       fi
+
+       # disable class driver for now
+       econf \
+               --disable-cups11-build \
+               --disable-lite-build \
+               --disable-foomatic-rip-hplip-install \
+               --disable-shadow-build \
+               --disable-qt3 \
+               --disable-qt4 \
+               --disable-udev_sysfs_rules \
+               --with-cupsbackenddir=$(cups-config --serverbin)/backend \
+               --with-cupsfilterdir=$(cups-config --serverbin)/filter \
+               --with-docdir=/usr/share/doc/${PF} \
+               --with-htmldir=/usr/share/doc/${PF}/html \
+               ${myconf} \
+               ${drv_build} \
+               ${minimal_build} \
+               --enable-hpps-install \
+               --disable-class-driver \
+               $(use_enable doc doc-build) \
+               $(use_enable fax fax-build) \
+               $(use_enable !minimal gui-build) \
+               $(use_enable !minimal dbus-build) \
+               $(use_enable parport pp-build) \
+               $(use_enable policykit) \
+               $(use_enable qt5) \
+               $(use_enable scanner scan-build) \
+               $(use_enable snmp network-build)
+
+       # hpijs ppds are created at configure time but are not installed 
(3.17.11)
+
+       # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+       # The hpcups driver does not use foomatic-rip
+       #local i
+       #for i in ppd/hpijs/*.ppd.gz ; do
+       #       rm -f ${i}.temp || die
+       #       gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+       #               gzip > ${i}.temp || die
+       #       mv ${i}.temp ${i} || die
+       #done
+}
+
+src_install() {
+       # Disable parallel install
+       # Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=578018
+       emake -j1 DESTDIR="${D}" install
+       einstalldocs
+       # default
+
+       # Installed by sane-backends
+       # Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=201023
+       rm -f "${ED}"/etc/sane.d/dll.conf || die
+
+       # Remove desktop and autostart files
+       # Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=638770
+       use qt5 || {
+               rm -Rf "${ED}"/usr/share/applications "${ED}"/etc/xdg
+       }
+
+       rm -f "${ED}"/usr/share/doc/${PF}/{copyright,README_LIBJPG,COPYING} || 
die
+       rmdir --ignore-fail-on-non-empty "${ED}"/usr/share/doc/${PF}/ || die
+
+       # Remove hal fdi files
+       rm -rf "${ED}"/usr/share/hal || die
+
+       find "${D}" -name '*.la' -delete || die
+
+       if use !minimal ; then
+               python_export EPYTHON PYTHON
+               python_optimize "${ED}"/usr/share/hplip
+       fi
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to